Skip to main content
GET
/
{projectApiKey}
/
customers-metrics
Get customer metrics
curl --request GET \
  --url https://api.qonversion.io/v1/analytics/{projectApiKey}/customers-metrics
{
  "data": {
    "total_customers": 15420,
    "active_subscribers": 4230,
    "trial_users": 820,
    "churned_subscribers": 3150,
    "never_subscribed": 7220,
    "total_revenue": 380276.24,
    "average_revenue_per_user": 24.66
  }
}

Path Parameters

projectApiKey
string
required

Project API Key for authentication and project identification

Pattern: ^proj_[a-zA-Z0-9]+$
Example:

"proj_abc123xyz456"

Query Parameters

environment
enum<integer>
default:1

Environment type (0=Sandbox, 1=Production)

Available options:
0,
1
filter[target_platform][]
enum<string>[]

Filter by platforms

Available options:
iOS,
Android,
Stripe
filter[country][]
string[]

Filter by countries (ISO 3166-1 alpha-2)

Pattern: ^[A-Z]{2}$
filter[product_id][]
string[]

Filter by product IDs

filter[q_user_id]
string

Filter by Qonversion user ID

filter[user_id]
string

Filter by custom user ID

filter[media_source_name][]
string[]

Filter by media source names

filter[campaign_name][]
string[]

Filter by campaign names

filter[subscription_status][]
enum<string>[]

Filter by subscription status

Available options:
active,
trial,
grace_period,
cancelled,
expired,
never_subscribed
filter[entitlement_id][]
string[]

Filter by entitlement IDs

filter[created_from]
integer<int64>

Filter customers created after this Unix timestamp

filter[created_to]
integer<int64>

Filter customers created before this Unix timestamp

Response

Successful response with aggregated customer metrics

data
object
required